Package com.io7m.waxmill.xml

# Class WXMClientConfigurationParsers

java.lang.Object
com.io7m.waxmill.xml.WXMClientConfigurationParsers

All Implemented Interfaces:
  `WXMClientConfigurationParserProviderType`, `WXMParserProviderType<WXMClientConfiguration>`

    public final class WXMClientConfigurationParsers
    extends java.lang.Object
    implements WXMClientConfigurationParserProviderType

A provider of client configuration parsers.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WXMClientConfigurationParsers()` | Construct a provider.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMClientConfigurationParserType` | `create​(java.nio.file.FileSystem fileSystem, java.net.URI uri, java.io.InputStream stream, java.util.function.Consumer<WXMParseError> errors)` | Create a new parser.
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.waxmill.parser.api.WXMParserProviderType

  `parse`

- ## Constructor Details

  - ### WXMClientConfigurationParsers

    public WXMClientConfigurationParsers()
    Construct a provider.

- ## Method Details

  - ### create

    public WXMClientConfigurationParserType create​(java.nio.file.FileSystem fileSystem, java.net.URI uri, java.io.InputStream stream, java.util.function.Consumer<WXMParseError> errors) throws java.io.IOException
    Description copied from interface: `WXMParserProviderType`
    Create a new parser.
    Specified by:
      `create` in interface `WXMClientConfigurationParserProviderType`
    Specified by:
      `create` in interface `WXMParserProviderType<WXMClientConfiguration>`
    Parameters:
      `fileSystem` - The filesystem used to create new paths, if necessary
      `uri` - The source URI
      `stream` - The source stream
      `errors` - A receiver of parse errors
    Returns:
      A new parser
    Throws:
      `java.io.IOException` - On I/O errors

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`